/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
*/

#include "minigui.ch"

Function Main

	REQUEST DBFCDX, DBFFPT
	RDDSETDEFAULT('DBFCDX')
	SET BROWSESYNC ON	

	DBUSEAREA(.T., 'DBFCDX','CLIENTES.DBF','CLI', .T.)
	DBUSEAREA(.T., 'DBFCDX','CUSTOMER.DBF','CUS', .T.)
	
	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'MiniGUI Browse Demo)' ;
		MAIN ;
		ON SIZE ( FORM_1.BROWSE_1.WIDTH := FORM_1.WIDTH - 20,;
				  FORM_1.BROWSE_1.HEIGHT:= FORM_1.HEIGHT - 40 )

		DEFINE BROWSE BROWSE_1
			ROW 10
			COL 10
			WIDTH 400
			HEIGHT 300
			HEADERS {'CODIGO','NOMBRE'}
			FIELDS 	{'CODIGO','NOME'}
			WIDTHS  {100, 300 }
			WORKAREA CLI	
			ALLOWAPPEND .T.
			ALLOWEDIT .T.		
			INPLACEEDIT .T.
			WHEN { NIL, { || BUSCAR_ALGO() } }
			LOCK .T.
		END BROWSE
		
	END WINDOW

	CENTER WINDOW Form_1

	ACTIVATE WINDOW Form_1

Return Nil

FUNCTION BUSCAR_ALGO
	DEFINE WINDOW FORM2 AT 0,0 WIDTH 300 HEIGHT 300 TITLE 'TEST' CHILD 
		DEFINE BROWSE BROWSE_1
			ROW 10
			COL 10
			WIDTH 280
			HEIGHT 270
			HEADERS {'FIRST','LAST'}
			FIELDS {'FIRST','LAST'}
			WIDTHS { 100, 100 }
			WORKAREA CUS
			ALLOWEDIT .T.
			LOCK .T.
		END BROWSE
	END WINDOW
	CENTER WINDOW FORM2
	ACTIVATE WINDOW FORM2
	
	/*		
	CUS->(DBGOTOP())
	LOCATE FOR CUS->FIRST = CLI->NOME
	*/
RETURN .T.